Skip to main content
GET
List customers

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sort
string

Sort order, use: name, email, created_at, net_revenue, last_request_at for descending order use '-' e.g. &sort=-name

page[number]
number
page[size]
number

Number of documents

fields[customers]
string

Sparse fields, use: name, email for example ?fields[customers]=name,email

filter[site_id]
string

It is recommended to always filter by site_id, for example ?filter[site_id]=111. This param is required when the account has multiple sites

Filter with fuzzy search of name/email, for example ?filter[search]=alexa

filter[created_in_last]
string

Filter customers created in the last N days, e.g. ?filter[created_in_last]=30

filter[not_created_in_last]
string

Filter customers not created in the last N days

filter[is_hidden]
string

Filter hidden customers

filter[joined_in_last]
string

Filter customers who joined in the last N days

filter[active_in_last]
string

Filter customers active in the last N days

filter[inactive_in_last]
string

Filter customers inactive in the last N days

filter[name_contains]
string

Filter customers whose name contains the given value

filter[email_contains]
string

Filter customers whose email contains the given value

filter[phone_number_contains]
string

Filter customers whose phone number contains the given value

filter[address_line_1_contains]
string

Filter customers whose address line 1 contains the given value

filter[address_line_2_contains]
string

Filter customers whose address line 2 contains the given value

filter[address_city_contains]
string

Filter customers whose city contains the given value

filter[address_state_contains]
string

Filter customers whose state contains the given value

filter[address_country_contains]
string

Filter customers whose country contains the given value

filter[address_zip_contains]
string

Filter customers whose zip code contains the given value

filter[has_tag_id]
string

Filter customers with a specific tag ID

filter[has_all_tag_id]
string

Filter customers with all specified tag IDs

filter[has_no_tag_id]
string

Filter customers without the specified tag ID

filter[subscribed]
string

Filter subscribed customers

filter[has_offer_id]
string

Filter customers with a specific offer ID

filter[has_no_offer_id]
string

Filter customers without the specified offer ID

filter[has_product_id]
string

Filter customers who own a specific product ID

filter[has_active_product_id]
string

Filter customers with an active membership to a specific product ID

filter[has_no_product_id]
string

Filter customers who do not own a specific product ID

filter[previously_owned_product_id]
string

Filter customers who previously owned a specific product ID

filter[used_coupon_code]
string

Filter customers who used a specific coupon code

filter[submitted_form_id]
string

Filter customers who submitted a specific form ID

filter[no_submitted_form_id]
string

Filter customers who have not submitted the specified form ID

filter[registered_event_id]
string

Filter customers who registered for a specific event ID

filter[not_registered_event_id]
string

Filter customers who have not registered for the specified event ID

filter[completed_assessment_id]
string

Filter customers who completed a specific assessment ID

filter[passed_assessment_id]
string

Filter customers who passed a specific assessment ID

filter[failed_assessment_id]
string

Filter customers who failed a specific assessment ID

filter[net_revenue_equal_to]
string

Filter customers whose net revenue equals the given value

filter[net_revenue_greater_than]
string

Filter customers whose net revenue is greater than the given value

filter[net_revenue_less_than]
string

Filter customers whose net revenue is less than the given value

filter[subscribed_in_last]
string

Filter customers subscribed in the last N days

filter[unsubscribed_in_last]
string

Filter customers unsubscribed in the last N days

filter[never_subscribed]
string

Filter customers who have never subscribed

filter[sent_email_broadcast_id]
string

Filter customers who were sent a specific email broadcast ID

filter[no_sent_email_broadcast_id]
string

Filter customers who were not sent the specified email broadcast ID

filter[no_sent_email_broadcast_ids]
string

Filter customers who were not sent any of the specified email broadcast IDs

filter[no_delivered_email_broadcast_id]
string

Filter customers who did not receive the specified email broadcast ID

filter[opened_email_broadcast_id]
string

Filter customers who opened a specific email broadcast ID

filter[no_opened_email_broadcast_id]
string

Filter customers who did not open the specified email broadcast ID

filter[clicked_email_broadcast_id]
string

Filter customers who clicked a specific email broadcast ID

filter[no_clicked_email_broadcast_id]
string

Filter customers who did not click the specified email broadcast ID

filter[bounced_email_broadcast_id]
string

Filter customers who bounced a specific email broadcast ID

filter[no_bounced_email_broadcast_id]
string

Filter customers who did not bounce the specified email broadcast ID

filter[dropped_email_broadcast_id]
string

Filter customers who dropped a specific email broadcast ID

filter[no_dropped_email_broadcast_id]
string

Filter customers who did not drop the specified email broadcast ID

filter[opened_email_in_last]
string

Filter customers who opened an email in the last N days

filter[not_opened_email_in_last]
string

Filter customers who did not open an email in the last N days

filter[delivered_email_in_last]
string

Filter customers who were delivered an email in the last N days

filter[not_delivered_email_in_last]
string

Filter customers who were not delivered an email in the last N days

filter[clicked_email_in_last]
string

Filter customers who clicked an email in the last N days

filter[not_clicked_email_in_last]
string

Filter customers who did not click an email in the last N days

filter[is_hard_bouncing]
string

Filter customers that are hard bouncing

filter[bounced_in_last]
string

Filter customers who bounced in the last N days

filter[complained_in_last]
string

Filter customers who complained in the last N days

filter[manually_unsubscribed_in_last]
string

Filter customers manually unsubscribed in the last N days

filter[opted_out_in_last]
string

Filter customers who opted out in the last N days

filter[healthy_contacts_with_open_data]
string

Filter healthy customers with open data

filter[passive_contacts_with_open_data]
string

Filter passive customers with open data

filter[unengaged_contacts_with_open_data]
string

Filter unengaged customers with open data

filter[inactive_contacts_with_open_data]
string

Filter inactive customers with open data

filter[subscribed_newsletter_id]
string

Filter customers subscribed to a specific newsletter ID

filter[unsubscribed_newsletter_id]
string

Filter customers unsubscribed from a specific newsletter ID

filter[mobile_phone_number_contains]
string

Filter customers whose mobile phone number contains the given value

filter[subscribed_email_sequence_id]
string

Filter customers subscribed to a specific email sequence ID

filter[not_subscribed_email_sequence_id]
string

Filter customers not subscribed to a specific email sequence ID

Response

Success, filter by product ownership

data
object[]